/*Ŀ
   LoadRam (ldt Sinusfunktionswerte in RAM 1 und Cosinusfkt in RAM 2)    
  */
  void loadram(void)
  {  int i,j;
     unsigned int aport,bport;
     unsigned char sintakt[5]={0xE0,0x80,0xC0,0x40,0xC0};
     unsigned char costakt[5]={0xE0,0x80,0xA0,0x20,0xA0};
//Sinuswerte laden
     for (i=0;i<32;i++)
     {  for (j=0;j<5;j++)
	{  aport=bport=0;
	   if (j>2)
	   {  aport=sinuswerte[i]&31;	//PA0...PA4
	      bport=sinuswerte[i]>>5;	//PB0...PB3
	   }
	   else aport=i;		//Adresse
	   aport|=sintakt[j];		//Adresse + Steuersignale
	   bport|=8;			//Motor Stop
	   outportb(porta,aport);
	   outportb(portb,bport);
	}
     }
//Cosinuswerte laden
     for (i=0;i<32;i++)
     {  for (j=0;j<5;j++)
	{  aport=bport=0;
	   if (j>2)
	   {  aport=cosinuswerte[i]&31;
	      bport=cosinuswerte[i]>>5;
	   }
	   else aport=i;
	   aport|=costakt[j];
	   bport|=8;
	   outportb(porta,aport);
	   outportb(portb,bport);
	}
     }
//Am Schluss noch einmal Takt 0 ausgeben
     outportb(porta,sintakt[0]);
     outportb(portb,8);
   };