;ͻ
; Programm  Sort.asm                                                      
;                                                                         
; Compiler  Turbo Assembler 3.0, TASMX-Oberflaeche 1.54                   
;                                                                         
; Datum     Karlsruhe, den 04.07.94                                       
;                                                                         
; Gruppe                                                                  
;                                                                         
; Autor(en) Hartung Wilstermann & Ingo Gabriel                            
;Ķ
; Inhalt    Sortieren eines Textstrings                                   
;ͼ

;ͻ
; Programmkopf                                                             
;ͼ
        TITLE 'Mikrorechnerpraktikum 1'
	P486			;Prozessortyp angeben, 486 Code zulassen
	DOSSEG			;Segmente DOS-konform anordnen
	.MODEL USE16 SMALL	;Speichermodell auswaehlen
	STACK   100h		;Stackgroee definieren

;ͻ
; Konstanendeklaration                                                     
;ͼ
	MSDOS		equ 21h	;MS-DOS Interruptnummer
	CHR_OUT		equ 09h	;Funktion: Zeichenausgabe
	STRING_INPUT	equ 0AH ;Textstring einlesen 
	CHR_IN		equ 08h	;Funktion: Zeichen einlesen
	EXIT   	 	equ 4Ch	;Programmende
	
;ͻ
; Variablendeklaration mit Anfangswert                                     
;ͼ
		DATASEG
	Text_End	db 10,13,'$'

;ͻ
; Variablendeklaration ohne Anfangswert                                    
;ͼ
		UDATASEG
	S_Flag		db ?
	Text		db 25 + 2 dup (?)


;ͻ
; Programmdeklaration                                                      
;ͼ
		CODESEG

;͸
; Unterprogramme                                                           
;;
;Ŀ
; Sortier-Unterprogramm                                                    
;
Unter1	proc
	push	di
	push	cx
	dec	cx
Loop1:	mov	[S_Flag],0
	push	cx
	push	di
Loop2:	mov	ax,[di]
	cmp	al,ah
	jle	Weiter
	xchg	al,ah
	mov	[di],ax
	mov	[S_Flag],1
Weiter:	inc	di
	loop	Loop2
	pop	di
	pop	cx
	cmp	[S_Flag],1
	jz	Loop1
	pop	cx
	pop	di
	ret
Unter1	endp

;͸
; Hauptprogramm                                                            
;;
Main:	mov	ax,@DATA
	mov	ds,ax
	mov	[S_Flag],0
	mov     al,25
	mov 	[Text],al
	mov     dx,offset Text
	mov 	ah,STRING_INPUT
	int 	MSDOS
	mov	dx,offset Text_End
	mov	ah,CHR_OUT
	int	MSDOS
	mov	di,offset Text+2
	mov	cx,offset Text + 1
	call	Unter1
	mov	dx,offset Text +2
	mov	di,offset Text + 1
	inc	di
	inc 	di
	mov	cl,'$'
	mov	[Text + di],cl
	mov	ah,CHR_OUT
	int	MSDOS
	mov	al,00h
	mov	ah,Exit
	int	MSDOS
END	Main
