;ͻ
; Programm  Versuch3.asm                                                  
;                                                                         
; Compiler  Turbo Assembler 3.0, TASMX-Oberflaeche 1.54                   
;                                                                         
; Datum     Karlsruhe, den 04.07.94                                       
;                                                                         
; Gruppe                                                                  
;                                                                         
; Autor     Hartung Wilstermann & Ingo Gabriel                            
;Ķ
; Inhalt    Lauflicht, Ein/Ausgabe mit 8255                               
;ͼ

;ͻ
; Programmkopf                                                             
;ͼ
	TITLE 'Mikrorechnerpraktikum 1'
	P486			;Prozessortyp angeben, 486 Code zulassen
	DOSSEG			;Segmente DOS-konform anordnen
	.MODEL USE16 SMALL	;Speichermodell auswaehlen
	STACK   100h		;Stackgroee definieren

;ͻ
; Konstanendeklaration                                                     
;ͼ
	MSDOS		equ 21h	;MS-DOS Interruptnummer
	EXIT   	 	equ 4Ch	;Programmende

;Ŀ
;  Konstanten fuer den I/O-Baustein 8255                                  
;
	PortA		equ 300h;Adresse Port A
	PortB		equ 301h;Adresse Port B
	CntlReg		equ 303h;Adresse Kontrollregister
	LslReset	equ 9Bh

;ͻ
; Variablendeklaration mit Anfangswert                                     
;ͼ
		DATASEG

;ͻ
; Variablendeklaration ohne Anfangswert                                    
;ͼ
		UDATASEG

;ͻ
; Programmdeklaration                                                      
;ͼ
		CODESEG

;͸
; Unterprogramme                                                           
;;
;Ŀ
; I/O-Baustein 8255 initialisieren                                         
;
InitPorts proc           ;8255-Baustein initialisieren
	push	ax	;alle im Unterprogramm benutzte Register sichern
	push	dx


	pop	dx	;Register restaurieren
	pop	ax
	ret		;Ruecksprung
InitPorts endp		;Unterprogramm Ende


;Ŀ
; Port A,B und C zuruecksetzen (alle auf Eingang)                          
;
ResetPorts proc         ;8255-Baustein zuruecksetzen
	push	ax	;alle im Unterprogramm benutzte Register sichern
	push	dx


	pop	dx	;Register restaurieren
	pop	ax
	ret		;Ruecksprung
ResetPorts endp		;Unterprogramm Ende


;Ŀ
; Port B einlesen                                                          
;
ReadPortB proc          ;Liest Port B und uebergibt ihn ueber Stack an main
	push	ax	;alle im Unterprogramm benutzte Register sichern
	push	dx


        pop	dx	;Register restaurieren
	pop	ax
	ret		;Ruecksprung
ReadPortB endp		;Unterprogramm Ende	


;Ŀ
; Port A ausgeben                                                          
;
WritePortA proc         ;Uebergebene Parameter auf Port A ausgeben


	ret		;Ruecksprung
WritePortA endp		;Unterprogramm Ende


;͸
; Hauptprogramm                                                            
;;
Main:	mov     ax,@DATA	;Datensegment laden
	mov     ds,ax


	call 	ResetPorts	;Zuruecksetzen des 8255
	xor	ax,ax		;Programm beenden
	mov     ah,Exit
	int     msdos
end	Main

